---
title: Get Webhook
description: Retrieves the details of a specific webhook using its ID.
docs_index: /docs/llms.txt
lastUpdated: 2026-10-22
badge: "GET"
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Retrieves the details of a specific webhook using its ID.

#### `GET /v2/hooks/{hookId}`

## Usage

```typescript
import { v0 } from 'v0'

const result = await v0.webhooks.get({
  hookId: 'wh_ghi012',
})

console.log(result)
```

```bash
curl -X GET "https://api.v0.dev/v2/hooks/chat_abc123"   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"
```

## API Signature

### Request

#### Path Parameters

- `hookId: string` The unique identifier of the webhook to retrieve.
  - **Minimum length:** 1

### Response

- `id: string` A unique identifier for the webhook.
- `createdAt: string` The ISO timestamp representing when the chat was created.
- `name: string` A user-defined name to label the webhook.
- `events: ('chat.created' | 'chat.updated' | 'chat.deleted' | 'message.created' | 'message.updated' | 'message.deleted' | 'message.finished')[]` List of event types this webhook is subscribed to.
- `url: string` Target URL that receives event payloads for this webhook.
- `chatId: string | null` Optional ID of the chat that this webhook is scoped to.

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)